

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/


#include "character_attributes.h"
#include "stdincl.h" 

using namespace std;


/**
   \brief standard constructor
   \todo this constructor is not jet implemented - do it
*/
CharacterAttributes::CharacterAttributes () 
{
   this->setClassName ("CharacterAttributes");
}


/**
   \brief standard deconstructor

*/
CharacterAttributes::~CharacterAttributes () 
{
}


/*=====================health=====================*/

/**
   \brief sets the health of the character
   \param helath
 */
void CharacterAttributes::setHealth(int health)
{}

/**
   \brief adds health to the charater
   \param health
   \returns health that couldnt be added due to healt limit
 */
int CharacterAttributes::addHealth(int health)
{}

/**
   \brief remove health due to damager for example
   \param amount of health
   \returns false if health is zero -> dead
 */
bool CharacterAttributes::substractHealth(int health)
{}

/**
   \brief gets the current amount of health
   \returns health
 */
int CharacterAttributes::getHealth()
{}


/**
   \brief sets maximum health 
   \param health

   if healthMax = 0 -> unlimited
 */
void CharacterAttributes::setHealthMax(int healthMax)
{}

/**
   \brief gets health maximium
   \returns the health maximum
 */
int CharacterAttributes::getHealthMax()
{}


/*======================armor/ shields===================== */
/**
   \brief sets the shild strength
   \param strength
 */
void CharacterAttributes::setShieldStrength(int shieldStrength)
{}

/**
   \brief adds shield strength
   \param strength
 */
void CharacterAttributes::addShieldStrength(int shiledStrength)
{}

/**
   \brief substracts shield strength
   \param strength
   \returns amount of shield strength below zero after substraction. Magic: Troumble
 */
int CharacterAttributes::substractShieldStrength(int shieldStrength)
{}

/**
   \brief gets shield strength
   \returns the shield strength
 */
int CharacterAttributes::getShieldStrength()
{}


/*=====================damage=====================*/
/**
   \brief sets the amount of base damage dealt to all aircrafts
   \param damage
 */
void CharacterAttributes::setDamageToAirCraft(int damage)
{}

/**
   \brief gets the amount of base damage
   \returns base damage to aircrafts
 */
int CharacterAttributes::getDamageToAirCraft()
{}


/**
   \brief sets the amount of base damage dealt to all groundcrafts
   \param damage
 */
void CharacterAttributes::setDamageToGroundCraft(int damage)
{}

/**
   \briefgets the amount of base damage
   \returns base damage to groundcrafts
 */
int CharacterAttributes::getDamageToGroundCraft()
{}


/**
   \brief sets the damage modifier to the damage that is dealed via laser weapons
   \param modifier [0..1]

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
void CharacterAttributes::setDamageLaserModifier(float modifier)
{}

/**
   \brief gets the damage modifier to the damage that is dealed via laser weapons
   \returns damage modifier

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
float CharacterAttributes::getDamageLaserModifier()
{}


/**
   \brief sets the damage modifier to the damage that is dealed via plasma weapons
   \param damage modifier

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
void CharacterAttributes::setDamagePlasmaModifier(float modifier)
{}

/**
   \brief gets the damage modifier to the damage that is dealed plasma weapons
   \returns damage modifier

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
float CharacterAttributes::getDamagePlasmaModifier()
{}


/**
   \brief sets the damage modifier to the damage that is dealed via explosives
   \param damage modifier

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
void CharacterAttributes::setDamageExplosiveModifier(float modifier)
{}

/**
   \brief sets the damage modifier to the damage that is dealed via explosives
   \returns damage modifier

   eg. the damage is calculated after: damage = modifier * damageToGroundCraft
 */
float CharacterAttributes::getDamageExplosiveModifier()
{}


/*=====================energy=====================*/
/**
   \brief sets the amount of energy 
   \param energy
 */
void CharacterAttributes::setEnergy(int energy)
{}

/**
   \brief adds energy to the system
   \param amount of energy
   \returns amount of energy that is too much due to energy limit
 */
int CharacterAttributes::addEnergy(int addEnergy)
{}

/**
   \brief substracts energy from a system
   \param amount of energy
   \returns false if there is no energy anymore
 */
bool CharacterAttributes::substractEnergy(int subEnergy)
{}

/**
   \brief gets the amount of energy 
   \returns energy
 */
int CharacterAttributes::getEnergy()
{}


/**
   \brief sets the energy consumption
   \param amount of energy
*/
void setEnergyConsumption(int energy)
{}

/**
   \brief gets the energy consumption
   \returns amount of energy
*/
int getEnergyConsumption()
{}
  

/**
   \brief sets the maximum energy level
   \param amount of energy
*/
void setEnergyMax(int energy)
{}

/**
   \brief gets the max energy level
   \returns amount of energy
*/
int getEnergyMax()
{}
